From b8cbfaafb214e033191cbfebd4f0a5988ef4f961 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Sat, 18 Apr 2020 15:48:45 +0800
Subject: [PATCH 14/28] virt_vm: continue to login when connect to vm failed

When there is no timeout, we should continue to connect.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 virttest/virt_vm.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/virttest/virt_vm.py b/virttest/virt_vm.py
index 7fd3bdce..7b49517d 100644
--- a/virttest/virt_vm.py
+++ b/virttest/virt_vm.py
@@ -1216,7 +1216,10 @@ class BaseVM(object):
                 if serial:
                     break
                 raise
-            except remote.LoginProcessTerminatedError:
+            except remote.LoginProcessTerminatedError as e:
+                if "No route to host" in e.output:
+                    logging.debug("Remote Login Continue:%s, %s" % (e.status, e.output))
+                    continue
                 raise
             except Exception as err:
                 error = err
-- 
2.23.0

